Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicEditorPaneUI
                              |
                              +--javax.swing.plaf.basic.BasicTextPaneUI

All Implemented Interfaces:
  ViewFactory

public class BasicTextPaneUI
extends BasicEditorPaneUI

Provides the look and feel for a styled text editor.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicTextPaneUI()` Creates a new BasicTextPaneUI.

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for the JTextPane.
`EditorKit` | `getEditorKit(JTextComponent tc)` Fetches the EditorKit for the UI.
`protected String` | `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.
`protected void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicEditorPaneUI
`installKeyboardActions`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getVisibleEditorRect, installDefaults, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTextPaneUI

    public BasicTextPaneUI()

  Creates a new BasicTextPaneUI.

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for the JTextPane.
  Parameters:
    `c` - the JTextPane object
  Returns:
    the UI

### getPropertyPrefix

    protected String getPropertyPrefix()

  Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.
  Overrides:
    `getPropertyPrefix` in class `BasicEditorPaneUI`
  Returns:
    the name ("TextPane")

### getEditorKit

    public EditorKit getEditorKit(JTextComponent tc)

  Fetches the EditorKit for the UI. This is whatever is currently set in the associated JEditorPane.
  Overrides:
    `getEditorKit` in class `BasicEditorPaneUI`
  Parameters:
    `tc` - the text component for which this UI is installed
  Returns:
    the editor capabilities
  See Also:
    `TextUI.getEditorKit(javax.swing.text.JTextComponent)`

### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. If the font or foreground has changed, and the Document is a StyledDocument, the appropriate property is set in the default style.
  Overrides:
    `propertyChange` in class `BasicEditorPaneUI`
  Parameters:
    `evt` - the property change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.